List of all members
clan::FrameBuffer Class Reference
clanDisplay Display

Frame-buffer object class. More...

`#include <frame_buffer.h>`

## Public Member Functions
Construction
| FrameBuffer ()
| Constructs a null instance. More...
| FrameBuffer (GraphicContext &context)
| Constructs a FrameBuffer. More...
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
FrameBufferProvider * | get_provider () const
| Get Provider. More...
Size | get_size () const
| Get the minumum size of all the frame buffer attachments. More...
FrameBufferBindTarget | get_bind_target () const
| Get the bind target of the framebuffer. More...
Operations
bool | operator== (const FrameBuffer &other) const
| Equality operator. More...
void | attach_color (int attachment_index, const RenderBuffer &render_buffer)
| Attach color buffer. More...
void | attach_color (int attachment_index, const Texture1D &texture, int level=0)
| Attach color buffer. More...
void | attach_color (int attachment_index, const Texture1DArray &texture, int array_index=-1, int level=0)
| Attach color buffer. More...
void | attach_color (int attachment_index, const Texture2D &texture, int level=0)
| Attach color buffer. More...
void | attach_color (int attachment_index, const Texture2DArray &texture, int array_index=-1, int level=0)
| Attach color buffer. More...
void | attach_color (int attachment_index, const Texture3D &texture, int depth, int level=0)
| Attach color buffer. More...
void | attach_color (int attachment_index, const TextureCube &texture, TextureSubtype subtype, int level=0)
| Attach color buffer. More...
void | detach_color (int attachment_index)
| Detach color buffer. More...
void | attach_stencil (const RenderBuffer &render_buffer)
void | attach_stencil (const Texture2D &texture, int level=0)
void | attach_stencil (const TextureCube &texture, TextureSubtype subtype, int level=0)
void | detach_stencil ()
void | attach_depth (const RenderBuffer &render_buffer)
void | attach_depth (const Texture2D &texture, int level=0)
void | attach_depth (const TextureCube &texture, TextureSubtype subtype, int level=0)
void | detach_depth ()
void | attach_depth_stencil (const RenderBuffer &render_buffer)
void | attach_depth_stencil (const Texture2D &texture, int level=0)
void | attach_depth_stencil (const TextureCube &texture, TextureSubtype subtype, int level=0)
void | detach_depth_stencil ()
void | set_bind_target (FrameBufferBindTarget target)
| Set the bind target of the framebuffer to either drawn to or read from. More...
float | get_pixel_ratio () const

## Detailed Description

Frame-buffer object class.

The documentation for this class was generated from the following file:

- frame_buffer.h